# -*- python -*-
# -*- coding: utf-8 -*-
#
# Debian Member Portfolio Service DdportfolioController test
# Copyright © 2009-2014 Jan Dittberner <jan@dittberner.info>
#
# This file is part of Debian Member Portfolio Service.
#
# Debian Member Portfolio Service is free software: you can redistribute it
# and/or modify it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the License,
# or (at your option) any later version.
#
# Debian Member Portfolio Service is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
# General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
from ddportfolioservice.tests import TestController, url


class TestShowformscriptsController(TestController):

    def test_index(self):
        response = self.app.get(
            url(controller='showformscripts', action='index'))
        # Test response...
        assert response.status_int == 200
        assert response.content_type == "text/javascript"
        assert "function updateField" in response
